
## Software Tests

We aim to have a test coverage of **100%** (except for getter and setter methods). This is understood on a component
level, which means that every method should have at least one test. Whether you achieve this by Test Driven Development
(TDD) or not is specific to your preferred way to work.

Please keep in mind not only to write a test for each of your functions but also
to consider all possible outcomes. It is e.g. not sufficient to test if a function
creates a file if the written content depends on variables etc.

Examples for writing tests in different programming languages are:

- [**XQuery**](https://gist.github.com/joewiz/fa32be80749a69fcb8da)
